Bug 207908 - [NEW PORT] biology/bowtie2: Ultrafast, memory-efficient short read aligner
Summary: [NEW PORT] biology/bowtie2: Ultrafast, memory-efficient short read aligner
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: Raphael Kubo da Costa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-11 16:45 UTC by Jason W. Bacon
Modified: 2016-03-23 11:24 UTC (History)
1 user (show)

See Also:


Attachments
Shar archive (5.76 KB, text/plain)
2016-03-15 21:19 UTC, Jason W. Bacon
rakuco: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jason W. Bacon freebsd_committer 2016-03-11 16:45:29 UTC
Bowtie is an ultrafast, memory-efficient short read aligner. It aligns short
DNA sequences (reads) to the human genome at a rate of over 25 million 35-bp
reads per hour.

This is Bowtie version 2, which will need to coexists with Bowtie 1 for the foreseeable future.  Both are required by certain genomics pipelines, in some cases (e.g. Trinity) by the same pipeline.

portlint: OK (looks fine.)
testport: OK (poudriere: 9.3, 10.1 amd64 (does not run on 32-bit processors))
Comment 1 Jason W. Bacon freebsd_committer 2016-03-15 21:19:05 UTC
Created attachment 168262 [details]
Shar archive
Comment 2 commit-hook freebsd_committer 2016-03-23 11:23:20 UTC
A commit references this bug:

Author: rakuco
Date: Wed Mar 23 11:22:40 UTC 2016
New revision: 411698
URL: https://svnweb.freebsd.org/changeset/ports/411698

Log:
  New port: biology/bowtie2.

  Bowtie is an ultrafast, memory-efficient short read aligner. It aligns short
  DNA sequences (reads) to the human genome at a rate of over 25 million 35-bp
  reads per hour.

  This is Bowtie version 2, which will need to coexists with Bowtie 1 for the
  foreseeable future. Both are required by certain genomics pipelines, in some
  cases (e.g. Trinity) by the same pipeline.

  WWW: https://github.com/BenLangmead/bowtie2

  PR:		207908
  Submitted by:	Jason Bacon <bacon4000@gmail.com>

Changes:
  head/biology/Makefile
  head/biology/bowtie2/
  head/biology/bowtie2/Makefile
  head/biology/bowtie2/distinfo
  head/biology/bowtie2/files/
  head/biology/bowtie2/files/patch-Makefile
  head/biology/bowtie2/pkg-descr
  head/biology/bowtie2/pkg-plist
Comment 3 Raphael Kubo da Costa freebsd_committer 2016-03-23 11:24:11 UTC
Committed, thanks.